"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cartFieldsForCalculateShippingOptionsPrices = exports.productVariantsFields = exports.cartFieldsForPricingContext = exports.completeCartFields = exports.cartFieldsForRefreshSteps = void 0;
// Always ensure that cartFieldsForPricingContext is present in cartFieldsForRefreshSteps
// Always ensure that cartFieldsForCalculateShippingOptionsPrices is present in cartFieldsForRefreshSteps
exports.cartFieldsForRefreshSteps = [
    "id",
    "currency_code",
    "quantity",
    "subtotal",
    "item_total",
    "total",
    "item_subtotal",
    "shipping_subtotal",
    "region_id",
    "metadata",
    "completed_at",
    "sales_channel_id",
    "region.*",
    "items.*",
    "items.product.id",
    "items.product.is_giftcard",
    "items.product.collection_id",
    "items.product.categories.id",
    "items.product.tags.id",
    "items.product.type_id",
    "items.variant.id",
    "items.variant.product.id",
    "items.variant.weight",
    "items.variant.length",
    "items.variant.height",
    "items.variant.width",
    "items.variant.material",
    "items.adjustments.*",
    "items.tax_lines.*",
    "shipping_address.*",
    "shipping_methods.*",
    "shipping_methods.adjustments.*",
    "shipping_methods.tax_lines.*",
    "customer.*",
    "customer.groups.*",
    "promotions.code",
    "payment_collection.id",
    "payment_collection.raw_amount",
    "payment_collection.amount",
    "payment_collection.currency_code",
    "payment_collection.payment_sessions.id",
];
exports.completeCartFields = [
    "metadata",
    "id",
    "currency_code",
    "email",
    "created_at",
    "updated_at",
    "completed_at",
    "total",
    "subtotal",
    "tax_total",
    "discount_total",
    "discount_tax_total",
    "original_total",
    "original_tax_total",
    "item_total",
    "item_subtotal",
    "item_tax_total",
    "sales_channel_id",
    "original_item_total",
    "original_item_subtotal",
    "original_item_tax_total",
    "shipping_total",
    "shipping_subtotal",
    "shipping_tax_total",
    "original_shipping_tax_total",
    "original_shipping_subtotal",
    "original_shipping_total",
    "raw_total",
    "raw_subtotal",
    "raw_tax_total",
    "raw_discount_total",
    "raw_discount_tax_total",
    "raw_original_total",
    "raw_original_tax_total",
    "raw_item_total",
    "raw_item_subtotal",
    "raw_item_tax_total",
    "raw_sales_channel_id",
    "raw_original_item_total",
    "raw_original_item_subtotal",
    "raw_original_item_tax_total",
    "raw_shipping_total",
    "raw_shipping_subtotal",
    "raw_shipping_tax_total",
    "raw_original_shipping_tax_total",
    "raw_original_shipping_subtotal",
    "raw_original_shipping_total",
    "items.*",
    "items.tax_lines.*",
    "items.adjustments.*",
    "customer.*",
    "shipping_methods.*",
    "shipping_methods.tax_lines.*",
    "shipping_methods.adjustments.*",
    "shipping_address.*",
    "billing_address.*",
    "region.*",
    "credit_lines.*",
    "payment_collection.*",
    "payment_collection.payment_sessions.*",
    "items.variant.id",
    "items.variant.product.id",
    "items.variant.product.is_giftcard",
    "items.variant.product.shipping_profile.id",
    "items.variant.manage_inventory",
    "items.variant.allow_backorder",
    "items.variant.inventory_items.inventory_item_id",
    "items.variant.inventory_items.required_quantity",
    "items.variant.inventory_items.inventory.requires_shipping",
    "items.variant.inventory_items.inventory.location_levels.stocked_quantity",
    "items.variant.inventory_items.inventory.location_levels.reserved_quantity",
    "items.variant.inventory_items.inventory.location_levels.raw_stocked_quantity",
    "items.variant.inventory_items.inventory.location_levels.raw_reserved_quantity",
    "items.variant.inventory_items.inventory.location_levels.stock_locations.id",
    "items.variant.inventory_items.inventory.location_levels.stock_locations.name",
    "items.variant.inventory_items.inventory.location_levels.stock_locations.sales_channels.id",
    "items.variant.inventory_items.inventory.location_levels.stock_locations.sales_channels.name",
];
exports.cartFieldsForPricingContext = [
    "id",
    "sales_channel_id",
    "currency_code",
    "region_id",
    "shipping_address.city",
    "shipping_address.country_code",
    "shipping_address.province",
    "shipping_address.postal_code",
    "item_total",
    "total",
    "customer.id",
    "email",
    "customer.groups.id",
];
exports.productVariantsFields = [
    "id",
    "title",
    "sku",
    "manage_inventory",
    "allow_backorder",
    "requires_shipping",
    "is_discountable",
    "variant_option_values",
    "barcode",
    "product.id",
    "product.title",
    "product.description",
    "product.subtitle",
    "product.thumbnail",
    "product.type.value",
    "product.type.id",
    "product.collection.title",
    "product.handle",
    "product.discountable",
    "product.is_giftcard",
    "product.shipping_profile.id",
    "calculated_price.*",
    "inventory_items.inventory_item_id",
    "inventory_items.required_quantity",
    "inventory_items.inventory.requires_shipping",
    "inventory_items.inventory.location_levels.stocked_quantity",
    "inventory_items.inventory.location_levels.reserved_quantity",
    "inventory_items.inventory.location_levels.raw_stocked_quantity",
    "inventory_items.inventory.location_levels.raw_reserved_quantity",
    "inventory_items.inventory.location_levels.stock_locations.id",
    "inventory_items.inventory.location_levels.stock_locations.name",
    "inventory_items.inventory.location_levels.stock_locations.sales_channels.id",
    "inventory_items.inventory.location_levels.stock_locations.sales_channels.name",
];
// ensure that at least these fields are present when fetching cart for caluclating shipping options prices
exports.cartFieldsForCalculateShippingOptionsPrices = [
    "id",
    "items.*",
    "items.variant.id",
    "items.variant.product.id",
    "items.variant.weight",
    "items.variant.length",
    "items.variant.height",
    "items.variant.width",
    "items.variant.material",
    "items.product.id",
    "items.product.collection_id",
    "items.product.categories.id",
    "items.product.tags.id",
    "shipping_address.*",
];
//# sourceMappingURL=fields.js.map