"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteCartCreditLinesWorkflow = exports.deleteCartCreditLinesWorkflowId = void 0;
const utils_1 = require("@medusajs/framework/utils");
const workflows_sdk_1 = require("@medusajs/framework/workflows-sdk");
const delete_entities_1 = require("../../common/steps/delete-entities");
exports.deleteCartCreditLinesWorkflowId = "delete-cart-credit-lines";
/**
 * This workflow deletes one or more credit lines from a cart.
 */
exports.deleteCartCreditLinesWorkflow = (0, workflows_sdk_1.createWorkflow)(exports.deleteCartCreditLinesWorkflowId, (input) => {
    (0, delete_entities_1.deleteEntitiesStep)({
        moduleRegistrationName: utils_1.Modules.CART,
        invokeMethod: "softDeleteCreditLines",
        compensateMethod: "restoreCreditLines",
        data: input.id,
    });
    return new workflows_sdk_1.WorkflowResponse(void 0);
});
//# sourceMappingURL=delete-cart-credit-lines.js.map