export type DeleteFilesWorkflowInput = {
    ids: string[];
};
export declare const deleteFilesWorkflowId = "delete-files";
/**
 * This workflow deletes one or more files. It's used by the
 * [Delete File Upload Admin API Route](https://docs.medusajs.com/api/admin#uploads_deleteuploadsid).
 *
 * The [File Module Provider](https://docs.medusajs.com/resources/infrastructure-modules/file) installed
 * in your application will be used to delete the file from storage.
 *
 * You can use this workflow within your customizations or your own custom workflows, allowing you to
 * delete files within your custom flows.
 *
 * @example
 * const { result } = await deleteFilesWorkflow(container)
 * .run({
 *   input: {
 *     ids: ["123"]
 *   }
 * })
 *
 * @summary
 *
 * Delete files from the database and storage.
 */
export declare const deleteFilesWorkflow: import("@medusajs/framework/workflows-sdk").ReturnWorkflow<DeleteFilesWorkflowInput, unknown, any[]>;
//# sourceMappingURL=delete-files.d.ts.map