"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteFilesWorkflow = exports.deleteFilesWorkflowId = void 0;
const workflows_sdk_1 = require("@medusajs/framework/workflows-sdk");
const steps_1 = require("../steps");
exports.deleteFilesWorkflowId = "delete-files";
/**
 * This workflow deletes one or more files. It's used by the
 * [Delete File Upload Admin API Route](https://docs.medusajs.com/api/admin#uploads_deleteuploadsid).
 *
 * The [File Module Provider](https://docs.medusajs.com/resources/infrastructure-modules/file) installed
 * in your application will be used to delete the file from storage.
 *
 * You can use this workflow within your customizations or your own custom workflows, allowing you to
 * delete files within your custom flows.
 *
 * @example
 * const { result } = await deleteFilesWorkflow(container)
 * .run({
 *   input: {
 *     ids: ["123"]
 *   }
 * })
 *
 * @summary
 *
 * Delete files from the database and storage.
 */
exports.deleteFilesWorkflow = (0, workflows_sdk_1.createWorkflow)(exports.deleteFilesWorkflowId, (input) => {
    (0, steps_1.deleteFilesStep)(input.ids);
});
//# sourceMappingURL=delete-files.js.map