"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteServiceZonesStep = exports.deleteServiceZonesStepId = void 0;
const utils_1 = require("@medusajs/framework/utils");
const workflows_sdk_1 = require("@medusajs/framework/workflows-sdk");
exports.deleteServiceZonesStepId = "delete-service-zones";
/**
 * This step deletes one or more service zones.
 */
exports.deleteServiceZonesStep = (0, workflows_sdk_1.createStep)(exports.deleteServiceZonesStepId, async (ids, { container }) => {
    const service = container.resolve(utils_1.Modules.FULFILLMENT);
    await service.softDeleteServiceZones(ids);
    return new workflows_sdk_1.StepResponse(void 0, ids);
}, async (prevIds, { container }) => {
    if (!prevIds?.length) {
        return;
    }
    const service = container.resolve(utils_1.Modules.FULFILLMENT);
    await service.restoreServiceZones(prevIds);
});
//# sourceMappingURL=delete-service-zones.js.map