import { FulfillmentWorkflow } from "@medusajs/framework/types";
export declare const updateFulfillmentWorkflowId = "update-fulfillment-workflow";
/**
 * This workflow updates a fulfillment. It's used by other workflows that update a
 * fulfillment, such as {@link markFulfillmentAsDeliveredWorkflow}.
 *
 * You can use this workflow within your own customizations or custom workflows, allowing you to
 * update a fulfillment within your custom flows.
 *
 * @example
 * const { result } = await updateFulfillmentWorkflow(container)
 * .run({
 *   input: {
 *     id: "ful_123",
 *     delivered_at: new Date(),
 *   }
 * })
 *
 * @summary
 *
 * Update a fulfillment.
 */
export declare const updateFulfillmentWorkflow: import("@medusajs/framework/workflows-sdk").ReturnWorkflow<FulfillmentWorkflow.UpdateFulfillmentWorkflowInput, import("@medusajs/framework/types").FulfillmentDTO, []>;
//# sourceMappingURL=update-fulfillment.d.ts.map