import { FulfillmentWorkflow } from "@medusajs/framework/types";
/**
 * The data to update the shipping options.
 */
export type UpdateShippingOptionsWorkflowInput = FulfillmentWorkflow.UpdateShippingOptionsWorkflowInput[];
export declare const updateShippingOptionsWorkflowId = "update-shipping-options-workflow";
/**
 * This workflow updates one or more shipping options. It's used by the
 * [Update Shipping Options Admin API Route](https://docs.medusajs.com/api/admin#shipping-options_postshippingoptionsid).
 *
 * You can use this workflow within your own customizations or custom workflows, allowing you to
 * update shipping options within your custom flows.
 *
 * :::note
 *
 * Learn more about adding rules to the shipping option's prices in the Pricing Module's
 * [Price Rules](https://docs.medusajs.com/resources/commerce-modules/pricing/price-rules) documentation.
 *
 * :::
 *
 * @example
 * const { result } = await updateShippingOptionsWorkflow(container)
 * .run({
 *   input: [
 *     {
 *       id: "so_123",
 *       name: "Standard Shipping",
 *     }
 *   ]
 * })
 *
 * @summary
 *
 * Update one or more shipping options.
 */
export declare const updateShippingOptionsWorkflow: import("@medusajs/framework/workflows-sdk").ReturnWorkflow<UpdateShippingOptionsWorkflowInput, FulfillmentWorkflow.UpdateShippingOptionsWorkflowOutput, []>;
//# sourceMappingURL=update-shipping-options.d.ts.map