/**
 * The keys to be locked
 */
export interface AcquireLockStepInput {
    key: string | string[];
    timeout?: number;
    retryInterval?: number;
    ttl?: number;
    ownerId?: string;
    provider?: string;
}
export declare const acquireLockStepId = "acquire-lock-step";
/**
 * This step acquires a lock for a given key.
 *
 * @example
 * const data = acquireLockStep({
 *   "key": "my-lock-key",
 *   "ttl": 60
 * })
 */
export declare const acquireLockStep: import("@medusajs/framework/workflows-sdk").StepFunction<AcquireLockStepInput, undefined>;
//# sourceMappingURL=acquire-lock.d.ts.map