import { OrderChangeDTO } from "@medusajs/framework/types";
/**
 * The input for the confirm order changes step.
 */
export type ConfirmOrderChangesInput = {
    /**
     * The ID of the order to confirm changes for.
     */
    orderId: string;
    /**
     * The changes to confirm.
     */
    changes: OrderChangeDTO[];
    /**
     * The ID of the user confirming the changes.
     */
    confirmed_by?: string;
};
/**
 * This step confirms changes of an order.
 */
export declare const confirmOrderChanges: import("@medusajs/framework/workflows-sdk").StepFunction<ConfirmOrderChangesInput, import("@medusajs/framework/types").OrderChangeReturn>;
//# sourceMappingURL=confirm-order-changes.d.ts.map