/**
 * The data to delete refund reasons.
 */
export type DeleteRefundReasonsWorkflowInput = {
    /**
     * The refund reasons to delete.
     */
    ids: string[];
};
export declare const deleteRefundReasonsWorkflowId = "delete-refund-reasons-workflow";
/**
 * This workflow deletes one or more refund reasons. It's used by the
 * [Delete Refund Reason Admin API Route](https://docs.medusajs.com/api/admin#refund-reasons_deleterefundreasonsid).
 *
 * You can use this workflow within your own customizations or custom workflows, allowing you
 * to delete refund reasons in your custom flows.
 *
 * @example
 * const { result } = await deleteRefundReasonsWorkflow(container)
 * .run({
 *   input: {
 *     ids: ["refres_123"]
 *   }
 * })
 *
 * @summary
 *
 * Delete refund reasons.
 */
export declare const deleteRefundReasonsWorkflow: import("@medusajs/framework/workflows-sdk").ReturnWorkflow<DeleteRefundReasonsWorkflowInput, void, []>;
//# sourceMappingURL=delete-refund-reasons.d.ts.map