import { PaymentDTO } from "@medusajs/framework/types";
/**
 * The data to authorize the payment session.
 */
export type AuthorizePaymentSessionStepInput = {
    /**
     * The ID of the payment session to authorize.
     */
    id: string;
    /**
     * The context to authorize the payment session with.
     * This context is passed to the payment provider associated with the payment session.
     */
    context?: Record<string, unknown>;
};
export declare const authorizePaymentSessionStepId = "authorize-payment-session-step";
/**
 * This step authorizes a payment session.
 *
 * @example
 * const data = authorizePaymentSessionStep({
 *   id: "payses_123",
 *   context: {}
 * })
 */
export declare const authorizePaymentSessionStep: import("@medusajs/framework/workflows-sdk").StepFunction<AuthorizePaymentSessionStepInput, PaymentDTO | null>;
//# sourceMappingURL=authorize-payment-session.d.ts.map