import { BigNumberInput, PaymentDTO } from "@medusajs/framework/types";
/**
 * The data to refund one or more payments.
 */
export type RefundPaymentsStepInput = {
    /**
     * The ID of the payment to refund.
     */
    payment_id: string;
    /**
     * The amount to refund.
     */
    amount: BigNumberInput;
    /**
     * The ID of the user that refunded the payment.
     */
    created_by?: string;
    /**
     * The note to attach to the refund.
     */
    note?: string;
}[];
export declare const refundPaymentsStepId = "refund-payments-step";
/**
 * This step refunds one or more payments.
 */
export declare const refundPaymentsStep: import("@medusajs/framework/workflows-sdk").StepFunction<RefundPaymentsStepInput, PaymentDTO[]>;
//# sourceMappingURL=refund-payments.d.ts.map