/**
 * The data to validate that the specified variants have prices.
 */
export type ValidateVariantPriceLinksStepInput = {
    /**
     * The prices to validate that their specified variants have prices.
     */
    prices?: {
        /**
         * The variant ID.
         */
        variant_id: string;
    }[];
}[];
export declare const validateVariantPriceLinksStepId = "validate-variant-price-links";
/**
 * This step validates that the specified variants have prices.
 * If not valid, the step throws an error.
 *
 * @example
 * const data = validateVariantPriceLinksStep([
 *   {
 *     prices: [
 *       {
 *         variant_id: "variant_123",
 *       }
 *     ]
 *   }
 * ])
 */
export declare const validateVariantPriceLinksStep: import("@medusajs/framework/workflows-sdk").StepFunction<ValidateVariantPriceLinksStepInput, Record<string, string> | undefined>;
//# sourceMappingURL=validate-variant-price-links.d.ts.map