import { CreatePriceListPricesWorkflowDTO, PricingTypes } from "@medusajs/framework/types";
/**
 * The data to create prices for price lists.
 */
export type CreatePriceListPricesWorkflowInput = {
    /**
     * The prices to create.
     */
    data: CreatePriceListPricesWorkflowDTO[];
};
/**
 * The created prices.
 */
export type CreatePriceListPricesWorkflowOutput = PricingTypes.PriceDTO[];
export declare const createPriceListPricesWorkflowId = "create-price-list-prices";
/**
 * This workflow creates prices in price lists. It's used by other workflows, such as
 * {@link batchPriceListPricesWorkflow}.
 *
 * You can use this workflow within your customizations or your own custom workflows, allowing you to
 * create prices in price lists in your custom flows.
 *
 * @example
 * const { result } = await createPriceListPricesWorkflow(container)
 * .run({
 *   input: {
 *     data: [{
 *       id: "plist_123",
 *       prices: [
 *         {
 *           amount: 10,
 *           currency_code: "usd",
 *           variant_id: "variant_123"
 *         }
 *       ],
 *     }]
 *   }
 * })
 *
 * @summary
 *
 * Create prices in price lists.
 */
export declare const createPriceListPricesWorkflow: import("@medusajs/framework/workflows-sdk").ReturnWorkflow<CreatePriceListPricesWorkflowInput, CreatePriceListPricesWorkflowOutput, []>;
//# sourceMappingURL=create-price-list-prices.d.ts.map