/**
 * The IDs of price preferences to delete.
 */
export type DeletePricePreferencesWorkflowInput = string[];
export declare const deletePricePreferencesWorkflowId = "delete-price-preferences";
/**
 * This workflow deletes one or more price preferences. It's used by the
 * [Delete Price Preferences Admin API Route](https://docs.medusajs.com/api/admin#price-preferences_deletepricepreferencesid).
 *
 * You can use this workflow within your customizations or your own custom workflows, allowing you to
 * delete price preferences in your custom flows.
 *
 * @example
 * const { result } = await deletePricePreferencesWorkflow(container)
 * .run({
 *   input: ["pp_123"]
 * })
 *
 * @summary
 *
 * Delete one or more price preferences.
 */
export declare const deletePricePreferencesWorkflow: import("@medusajs/framework/workflows-sdk").ReturnWorkflow<DeletePricePreferencesWorkflowInput, unknown, any[]>;
//# sourceMappingURL=delete-price-preferences.d.ts.map