import { ProductCategoryDTO, ProductCategoryWorkflow } from "@medusajs/framework/types";
import { WorkflowData } from "@medusajs/framework/workflows-sdk";
/**
 * The created product categories.
 */
export type CreateProductCategoriesWorkflowOutput = ProductCategoryDTO[];
export declare const createProductCategoriesWorkflowId = "create-product-categories";
/**
 * This workflow creates one or more product categories. It's used by the
 * [Create Product Category Admin API Route](https://docs.medusajs.com/api/admin#product-categories_postproductcategories).
 *
 * You can use this workflow within your customizations or your own custom workflows, allowing you to
 * create product categories within your custom flows.
 *
 * @example
 * const { result } = await createProductCategoriesWorkflow(container)
 * .run({
 *   input: {
 *     product_categories: [
 *       {
 *         name: "Shoes",
 *       }
 *     ]
 *   }
 * })
 *
 * @summary
 *
 * Create product categories.
 */
export declare const createProductCategoriesWorkflow: import("@medusajs/framework/workflows-sdk").ReturnWorkflow<ProductCategoryWorkflow.CreateProductCategoriesWorkflowInput, ProductCategoryDTO[], [import("@medusajs/framework/workflows-sdk").Hook<"categoriesCreated", {
    categories: (ProductCategoryDTO | WorkflowData<ProductCategoryDTO>)[] & ProductCategoryDTO[] & import("@medusajs/framework/workflows-sdk").WorkflowDataProperties<ProductCategoryDTO[]> & {
        config(config: {
            name?: string;
        } & Omit<import("@medusajs/orchestration").TransactionStepsDefinition, "next" | "uuid" | "action">): WorkflowData<ProductCategoryDTO[]>;
    } & import("@medusajs/framework/workflows-sdk").StepFunctionReturnConfig<ProductCategoryDTO[]>;
    additional_data: ((Record<string, unknown> | WorkflowData<Record<string, unknown> | undefined>) & Record<string, unknown>) | undefined;
}, unknown>]>;
//# sourceMappingURL=create-product-categories.d.ts.map