import { WorkflowData } from "@medusajs/framework/workflows-sdk";
/**
 * The IDs of product categories to delete.
 */
export type DeleteProductCategoriesWorkflowInput = string[];
export declare const deleteProductCategoriesWorkflowId = "delete-product-categories";
/**
 * This workflow deletes one or more product categories. It's used by the
 * [Delete Product Category Admin API Route](https://docs.medusajs.com/api/admin#product-categories_deleteproductcategoriesid).
 *
 * You can use this workflow within your customizations or your own custom workflows, allowing you to
 * delete product categories within your custom flows.
 *
 * @example
 * const { result } = await deleteProductCategoriesWorkflow(container)
 * .run({
 *   input: ["pcat_123"]
 * })
 *
 * @summary
 *
 * Delete product categories.
 */
export declare const deleteProductCategoriesWorkflow: import("@medusajs/framework/workflows-sdk").ReturnWorkflow<DeleteProductCategoriesWorkflowInput, never, [import("@medusajs/framework/workflows-sdk").Hook<"categoriesDeleted", {
    ids: WorkflowData<DeleteProductCategoriesWorkflowInput>;
}, unknown>]>;
//# sourceMappingURL=delete-product-categories.d.ts.map