import { ProductCategoryDTO, ProductCategoryWorkflow } from "@medusajs/framework/types";
import { WorkflowData } from "@medusajs/framework/workflows-sdk";
/**
 * The updated product categories.
 */
export type UpdateProductCategoriesWorkflowOutput = ProductCategoryDTO[];
export declare const updateProductCategoriesWorkflowId = "update-product-categories";
/**
 * This workflow updates product categories matching specified filters. It's used by the
 * [Update Product Category Admin API Route](https://docs.medusajs.com/api/admin#product-categories_postproductcategoriesid).
 *
 * You can use this workflow within your customizations or your own custom workflows, allowing you to
 * update product categories within your custom flows.
 *
 * @example
 * const { result } = await updateProductCategoriesWorkflow(container)
 * .run({
 *   input: {
 *     selector: {
 *       id: "pcat_123",
 *     },
 *     update: {
 *       name: "Shoes",
 *     }
 *   }
 * })
 *
 * @summary
 *
 * Update product categories.
 */
export declare const updateProductCategoriesWorkflow: import("@medusajs/framework/workflows-sdk").ReturnWorkflow<ProductCategoryWorkflow.UpdateProductCategoriesWorkflowInput, ProductCategoryDTO[], [import("@medusajs/framework/workflows-sdk").Hook<"categoriesUpdated", {
    categories: (ProductCategoryDTO | WorkflowData<ProductCategoryDTO>)[] & ProductCategoryDTO[] & import("@medusajs/framework/workflows-sdk").WorkflowDataProperties<ProductCategoryDTO[]> & {
        config(config: {
            name?: string;
        } & Omit<import("@medusajs/orchestration").TransactionStepsDefinition, "next" | "uuid" | "action">): WorkflowData<ProductCategoryDTO[]>;
    } & import("@medusajs/framework/workflows-sdk").StepFunctionReturnConfig<ProductCategoryDTO[]>;
    additional_data: ((Record<string, unknown> | WorkflowData<Record<string, unknown> | undefined>) & Record<string, unknown>) | undefined;
}, unknown>]>;
//# sourceMappingURL=update-product-categories.d.ts.map