import { HttpTypes } from "@medusajs/framework/types";
/**
 * The products to export.
 */
export type GenerateProductCsvStepInput = HttpTypes.AdminProduct[];
/**
 * The export's details.
 */
export type GenerateProductCsvStepOutput = {
    /**
     * The ID of the generated file as returned by the [File Module Provider](https://docs.medusajs.com/resources/infrastructure-modules/file).
     */
    id: string;
    /**
     * The name of the generated file as returned by the [File Module Provider](https://docs.medusajs.com/resources/infrastructure-modules/file).
     */
    filename: string;
};
export declare const generateProductCsvStepId = "generate-product-csv";
/**
 * This step generates a CSV file that exports products. The CSV
 * file is created and stored using the registered [File Module Provider](https://docs.medusajs.com/resources/infrastructure-modules/file).
 *
 * @example
 * const { data: products } = useQueryGraphStep({
 *   entity: "product",
 *   fields: ["*", "variants.*", "collection.*", "categories.*"]
 * })
 *
 * // @ts-ignore
 * const data = generateProductCsvStep(products)
 */
export declare const generateProductCsvStep: import("@medusajs/framework/workflows-sdk").StepFunction<GenerateProductCsvStepInput, GenerateProductCsvStepOutput>;
//# sourceMappingURL=generate-product-csv.d.ts.map