import { WorkflowData } from "@medusajs/framework/workflows-sdk";
/**
 * The data to delete one or more campaigns.
 */
export type DeleteCampaignsWorkflowInput = {
    /**
     * The IDs of the campaigns to delete.
     */
    ids: string[];
};
export declare const deleteCampaignsWorkflowId = "delete-campaigns";
/**
 * This workflow deletes one or more campaigns. It's used by the
 * [Delete Campaign Admin API Route](https://docs.medusajs.com/api/admin#campaigns_deletecampaignsid).
 *
 * You can use this workflow within your own customizations or custom workflows, allowing you to
 * delete campaigns within your custom flows.
 *
 * @example
 * const { result } = await deleteCampaignsWorkflow(container)
 * .run({
 *   input: {
 *     ids: ["camp_123"]
 *   }
 * })
 *
 * @summary
 *
 * Delete one or more campaigns.
 */
export declare const deleteCampaignsWorkflow: import("@medusajs/framework/workflows-sdk").ReturnWorkflow<DeleteCampaignsWorkflowInput, never, [import("@medusajs/framework/workflows-sdk").Hook<"campaignsDeleted", {
    ids: (string[] | WorkflowData<string[]>) & string[];
}, unknown>]>;
//# sourceMappingURL=delete-campaigns.d.ts.map