import { WorkflowData } from "@medusajs/framework/workflows-sdk";
/**
 * The data to delete one or more promotions.
 */
export type DeletePromotionsWorkflowInput = {
    /**
     * The IDs of the promotions to delete.
     */
    ids: string[];
};
export declare const deletePromotionsWorkflowId = "delete-promotions";
/**
 * This workflow deletes one or more promotions. It's used by the
 * [Delete Promotions Admin API Route](https://docs.medusajs.com/api/admin#promotions_deletepromotionsid).
 *
 * You can use this workflow within your own customizations or custom workflows, allowing you to
 * delete promotions within your custom flows.
 *
 * @example
 * const { result } = await deletePromotionsWorkflow(container)
 * .run({
 *   input: {
 *     ids: ["promo_123"]
 *   }
 * })
 *
 * @summary
 *
 * Delete one or more promotions.
 */
export declare const deletePromotionsWorkflow: import("@medusajs/framework/workflows-sdk").ReturnWorkflow<DeletePromotionsWorkflowInput, never, [import("@medusajs/framework/workflows-sdk").Hook<"promotionsDeleted", {
    ids: (string[] | WorkflowData<string[]>) & string[];
}, unknown>]>;
//# sourceMappingURL=delete-promotions.d.ts.map